/* *****************************************************************************
This is open source code.

This file is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

Software: Compartir
Version:  0.06
Author:   Lazy Badger Team
Email:    lazybadger@tarsis.eu
Website:  http://opensource.tarsis.eu/projects/compartir/
License:  GPLv3 (See https://www.gnu.org/licenses/gpl.txt)
***************************************************************************** */

/*
Invocation: Include this line in the web page(s) you want to carry your social sharing icons.
<script type="text/javascript" src="http://www.yourserver.com/js/compartir/compartir.js?twitter|facebook|googleplus|linkedin|reddit|email|rss"></script>
*/


// --- The only thing you need to configure: The base URL where your icons live:
icons_home = 'http://www.yourserver.com/js/compartir/icons';



// --- You shouldn't modify below this line (or do it at your own risk).


function fixedEncodeURIComponent (str) {
  str = encodeURIComponent(str).replace(/[!'()*]/g, function(c) {
    return '%' + c.charCodeAt(0).toString(16);
  });
  return str;
}


var network = new Array();

// --- Social network sharing services URL. The tags #url# and #title# will be replaced by the URL and title of the web page.
network['twitter'] = 'http://twitter.com/share?url=#url#&amp;text=#title#';
network['facebook'] = 'http://www.facebook.com/sharer.php?u=#url#&amp;t=#title#';
network['linkedin'] = 'http://www.linkedin.com/shareArticle?mini=true&amp;url=#url#&amp;title=#title#';
network['googleplus'] = 'https://plus.google.com/share?url=#url#&amp;title=#title#';
network['reddit'] = 'http://www.reddit.com/submit?url=#url#';
network['email'] = 'mailto:?subject=#title#&amp;body=#url#';
// --- If a 'rssfeed' Javascript variable has been declared and is not null, it is added as a new network.
if ( typeof rssfeed !== 'undefined' && rssfeed != '' && rssfeed != null && rssfeed != false ) {
	network['rss'] = rssfeed;
}

// --- Strings to write before and after the icon. They are blank by default.
var icon_pre = '';
var icon_post = '';



var this_url = fixedEncodeURIComponent(document.location.href);
var this_title = fixedEncodeURIComponent(document.title);

scripts = document.getElementsByTagName('script');
index = scripts.length - 1;
this_script= scripts[index];
tmp = this_script.src;
tmp = tmp.split('?');
query_string = tmp[1];
var networks = query_string.split('|');

num_networks = networks.length;


i = 0;
while ( i < num_networks ) {

	share_link = network[networks[i]];

	re = /#url#/g;
	share_link = share_link.replace(re, this_url);

	re = /#title#/g;
	share_link = share_link.replace(re, this_title);

	icon = "<img class='compartir_icon' src='" + icons_home + '/' + networks[i] + ".png' />";

	target = '_blank';
	if ( networks[i] == 'email' || networks[i] == 'rss' ) {
		target = '_self';
	}

	document.write(icon_pre);
	document.write("<a href='" + share_link + "' target='" + target + "'>" + icon + "</a>");
	document.write(icon_post);

	i++;
}
